org.codehaus.groovy.ast.expr

## Class MapEntryExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.MapEntryExpression

    public class MapEntryExpression
    extends Expression

Represents an entry inside a map expression such as 1 : 2.

Version:
  $Revision: 18287 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`MapEntryExpression(Expression keyExpression, Expression valueExpression)`

### Method Summary

Methods
`Expression` `getKeyExpression()`
`Expression` `getValueExpression()`
`void` `setKeyExpression(Expression keyExpression)`
`void` `setValueExpression(Expression valueExpression)`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapEntryExpression

    public MapEntryExpression(Expression keyExpression,
                      Expression valueExpression)

### Method Detail

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getKeyExpression

    public Expression getKeyExpression()

#### getValueExpression

    public Expression getValueExpression()

#### setKeyExpression

    public void setKeyExpression(Expression keyExpression)

#### setValueExpression

    public void setValueExpression(Expression valueExpression)